import getExtensionServiceOverride from '@codingame/monaco-vscode-extensions-service-override';
import { registerServices } from '../services.js';
import { Worker } from '../tools/FakeWorker.js';

const fakeWorker = new Worker(new URL('vscode/workers/extensionHost.worker', import.meta.url), { type: 'module' });
registerServices({
    ...getExtensionServiceOverride({
        url: fakeWorker.url.toString(),
        options: fakeWorker.options
    })
});
